about summary refs log tree commit diff stats
path: root/pkgs/by-name/update_pkgs.sh
diff options
context:
space:
mode:
authorBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-05-23 13:26:22 +0200
committerBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-05-23 13:26:22 +0200
commit204731c0a69136c9cebcb54f1afecf5145e26bbe (patch)
treefc9132e5dc74e4a8e1327cdd411839a90f9410aa /pkgs/by-name/update_pkgs.sh
parentrefactor(sys): Modularize and move to `modules/system` or `pkgs` (diff)
downloadnixos-config-204731c0a69136c9cebcb54f1afecf5145e26bbe.zip
refactor(pkgs): Categorize into `by-name` shards
This might not be the perfect way to organize a package set --
especially if the set is not nearly the size of nixpkgs -- but it is
_at_ least a way of organization.
Diffstat (limited to 'pkgs/by-name/update_pkgs.sh')
-rwxr-xr-xpkgs/by-name/update_pkgs.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/pkgs/by-name/update_pkgs.sh b/pkgs/by-name/update_pkgs.sh
new file mode 100755
index 00000000..be1573c6
--- /dev/null
+++ b/pkgs/by-name/update_pkgs.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env sh
+
+die() {
+    printf "\033[31;1mError: \033[0m%s" "$1"
+    exit 1
+}
+
+cd "$(dirname "$0")" || die "Bug: run with false dirname ('$0')!"
+
+fd . --type directory --max-depth 1 | while read -r dir; do
+    cd "$dir" || die "Dir '$dir' does not exist"
+
+    if [ -f update.sh ]; then
+        printf "\033[34;1m> \033[0m\033[34;1m%s\033[0m\n" "Running '${dir}update.sh'"
+
+        [ -f flake.nix ] && nix flake update
+
+        direnv allow
+        eval "$(direnv export bash 2>/dev/null)"
+        ./update.sh "$@"
+    fi
+    cd - >/dev/null || die "Bug: Last dir does not exist"
+done
+
+# vim: ft=sh